SHOST_FOR_EACH_DEVIC(9)

NAME
shost_for_each_device - iterate over all devices of a host

SYNOPSIS

shost_for_each_device(sdev, shost);

ARGUMENTS

sdev
    the struct scsi_device to use as a cursor

shost
    the struct scsi_host to iterate over

DESCRIPTION

Iterator that returns each device attached to shost. This loop takes a reference on each device and releases it at the end. If you break out of the loop, you must call scsi_device_put(sdev).

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT